Bio::Matrix::PSM::IO::mast(3)

NAME
Bio::Matrix::PSM::IO::mast - PSM mast parser implementation

SYNOPSIS
See Bio::Matrix::PSM::IO for detailed documentation on how to use PSM parsers

DESCRIPTION
Parser for mast. This driver unlike meme or transfac for example is dedicated more to PSM sequence matches, than to PSM themselves.

TO DO
Section III should be parsed too, otherwise no real sequence is available, so we supply 'NNNNN....' as a seq which is not right.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Stefan Kirov
Email skirov@utk.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $psmIO =  Bio::Matrix::PSM::IO->new(-format=>'mast',
                                                                               -file=>$file);
 Function: Associates a file with the appropriate parser
 Throws  : Throws if the file passed is in HTML format or if
           some criteria for the file
           format are not met.
 Example :
 Returns : psm object, associated with a file with matrix file
 Args    : hash
 return  : "Bio::Matrix::PSM::$format"->new(@args);

  next_psm
 Title   : next_psm
 Usage   : my $psm=$psmIO->next_psm();
 Function: Reads the next PSM from the input file, associated with this object
 Throws  : Throws if there ara format violations in the input file (checking is not
            very strict with all drivers).
 Example :
 Returns : Bio::Matrix::PSM::Psm object
 Args    : none

  write_psm
 Title   : write_psm
 Usage   : #Get SiteMatrix object somehow (see Bio::Matrix::PSM::SiteMatrix)
            my $matrix=$psmin->next_matrix;
            #Create the stream
            my $psmio=new(-file=>">psms.mast",-format=>'mast');
            $psmio->write_psm($matrix);
            #Will warn if only PFM data is contained in $matrix, recalculate the PWM
            #based on normal distribution (A=>0.25, C=>0.25, etc)
 Function: writes pwm in mast format
 Throws  :
 Example :
 Args    : SiteMatrix object
 Returns :